Last Comment Bug 752139 - libtheora ARM asm should mark its stacks non-executable
: libtheora ARM asm should mark its stacks non-executable
Status: RESOLVED FIXED
: sec-other
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla15
Assigned To: Timothy B. Terriberry (:derf)
:
Mentors:
Depends on:
Blocks: 671426
  Show dependency treegraph
 
Reported: 2012-05-04 21:09 PDT by Timothy B. Terriberry (:derf)
Modified: 2012-10-18 12:23 PDT (History)
13 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Mark stacks non-executable in the libtheora ARM asm (3.89 KB, patch)
2012-05-04 21:12 PDT, Timothy B. Terriberry (:derf)
mh+mozilla: review+
ryanvm: checkin+
Details | Diff | Splinter Review
Don't build an empty armopts.s (803 bytes, patch)
2012-05-05 19:12 PDT, Timothy B. Terriberry (:derf)
mh+mozilla: review+
ryanvm: checkin+
Details | Diff | Splinter Review

Description Timothy B. Terriberry (:derf) 2012-05-04 21:09:31 PDT
Bug 671426 identifies several object files that do not indicate support for a non-executable stack. The ARM asm from libtheora is included in these. This bug is about fixing that asm to request a non-executable stack.
Comment 1 Timothy B. Terriberry (:derf) 2012-05-04 21:12:32 PDT
Created attachment 621239 [details] [diff] [review]
Mark stacks non-executable in the libtheora ARM asm

This patch comes from upstream commit r18031.
Comment 2 Ryan VanderMeulen [:RyanVM] 2012-05-05 09:45:19 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/7a7c6d1e67e0
Comment 3 Timothy B. Terriberry (:derf) 2012-05-05 19:11:23 PDT
(In reply to Ryan VanderMeulen from comment #2)
> https://hg.mozilla.org/integration/mozilla-inbound/rev/7a7c6d1e67e0

Actually, this patch wasn't quite ready to get checked in yet. I posted it right away since it was part of an upstream commit, but hadn't verified that it solved all the problems. As it turned out it did not: we're still building armopts.s, which winds up being empty, but doesn't get marked as allowing a non-executable stack (because it doesn't contain a CODE section). I guess I'll need to post a follow-up patch to fix that now.

Please do not mark this bug fixed when you merge to m-c.
Comment 4 Timothy B. Terriberry (:derf) 2012-05-05 19:12:27 PDT
Created attachment 621366 [details] [diff] [review]
Don't build an empty armopts.s
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-05-05 19:20:13 PDT
Will do.
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-05-05 20:35:29 PDT
First patch:
https://hg.mozilla.org/mozilla-central/rev/7a7c6d1e67e0
Comment 7 Timothy B. Terriberry (:derf) 2012-05-06 06:08:31 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/7ac8857d0c83
Comment 8 Ryan VanderMeulen [:RyanVM] 2012-05-06 17:38:06 PDT
Follow-up patch:
https://hg.mozilla.org/mozilla-central/rev/7ac8857d0c83

Sorry about jumping the gun earlier. I'll leave your bugs alone in the future.
Comment 9 Timothy B. Terriberry (:derf) 2012-05-06 19:05:48 PDT
(In reply to Ryan VanderMeulen from comment #8)
> Sorry about jumping the gun earlier. I'll leave your bugs alone in the
> future.

No worries, I should have done the patch right the first time.

Note You need to log in before you can comment on or make changes to this bug.